function [ H_bkp,F_rkp,G_brp ] = Channel_read_Quadriga(a,B,R,K,P,N_ris,BS_antennas,User_antennas,large_fading_AI,large_fading_DI)
H_bkp=zeros(B,K,P,BS_antennas,User_antennas);
F_rkp=zeros(R,K,P,N_ris,User_antennas);
G_brp=zeros(B,R,P,N_ris,BS_antennas);
chan_est_err = 10^(2);
H_noise = 0;%sqrt(1/(2*chan_est_err))*(randn(BS_antennas,User_antennas)+1i*randn(BS_antennas,User_antennas));
F_noise = 0;%sqrt(1/(2*chan_est_err))*(randn(N_ris,User_antennas)+1i*randn(N_ris,User_antennas));
G_noise = 0;%sqrt(1/(2*chan_est_err))*(randn(N_ris,BS_antennas)+1i*randn(N_ris,BS_antennas));

H = load('D:/【实验室】/Code/RIS_decode/Deep learning/channel_quaridga/Channel_BS2UT_sub32.mat');
%H = load('Channel_Quadriga/Channel_BS2UT_UMi_2.mat');
H = H.Channel_BS2UT(:,:,1,a);
H = H'; H = H(1:BS_antennas,1:User_antennas);
F = load('D:/【实验室】/Code/RIS_decode/Deep learning/channel_quaridga/Channel_RIS2UT_sub32.mat');
%F = load('Channel_Quadriga/Channel_RIS2UT_128_UMi_2.mat');
F = F.Channel_RIS2UT(:,:,1,a);
F = F'; F = F(1:N_ris,1:User_antennas);
G = load('D:/【实验室】/Code/RIS_decode/Deep learning/channel_quaridga/Channel_BS2RIS_sub32.mat');
%G = load('Channel_Quadriga/Channel_BS2RIS_128_UMi_2.mat');
G = G.Channel_BS2RIS; G = G(1:N_ris,1:BS_antennas,1);
for b=1:B
    for k=1:K
        for p=1:P
            H_bkp(b,k,p,:,:)=(H + H_noise );
        end
    end
end
for r=1:R
    for k=1:K
        for p=1:P
            F_rkp(r,k,p,:,:)= (F + F_noise);
        end
    end
end
for b=1:B
    for r=1:R
        for p=1:P
            G_brp(b,r,p,:,:)= (G + G_noise);
        end
    end
end
end